/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/UnitTests/JUnit4TestClass.java to edit this template
 */
package librarymanagementsystem;

import java.util.ArrayList;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 * Represents testing for the GeneralUser class.
 * @author Pawprint Studios
 */
public class GeneralUserTest 
{
    private GeneralUser testGeneralUser;
    
    public GeneralUserTest() 
    {
        testGeneralUser = new GeneralUser("pat", "pat", 
            000007, "Patron", "John Johnson", "JohnJohn@John.com", 
            5558976, 0);
    }
    
    @BeforeClass
    public static void setUpClass() 
    {
        
    }

    /**
     * Test of getUsername method, of class GeneralUser.
     */
    @Test
    public void testGetUsername() 
    {
        String testUsername = "pat";
        
        assertEquals(testUsername, testGeneralUser.getUsername());
    }

    /**
     * Test of getPassword method, of class GeneralUser.
     */
    @Test
    public void testGetPassword() 
    {
        String testPassword = "pat";
        
        assertEquals(testPassword, testGeneralUser.getPassword());
    }

    /**
     * Test of getUserId method, of class GeneralUser.
     */
    @Test
    public void testGetUserId() 
    {
        long testUserId = 000007;
        
        assertEquals(testUserId, testGeneralUser.getUserId());
    }

    /**
     * Test of getUserType method, of class GeneralUser.
     */
    @Test
    public void testGetUserType() 
    {
        String testUserType = "Patron";
        
        assertEquals(testUserType, testGeneralUser.getUserType());
    }

    /**
     * Test of getPatronName method, of class GeneralUser.
     */
    @Test
    public void testGetPatronName() 
    {
        String testPatronName = "John Johnson";
        
        assertEquals(testPatronName, testGeneralUser.getPatronName());
    }

    /**
     * Test of getEmail method, of class GeneralUser.
     */
    @Test
    public void testGetEmail() 
    {
        String testEmail = "JohnJohn@John.com";
        
        assertEquals(testEmail, testGeneralUser.getEmail());
    }

    /**
     * Test of getPhoneNumber method, of class GeneralUser.
     */
    @Test
    public void testGetPhoneNumber() 
    {
        long testPhoneNumber = 5558976;
        
        assertEquals(testPhoneNumber, testGeneralUser.getPhoneNumber());
    }

    /**
     * Test of setUsername method, of class GeneralUser.
     */
    @Test
    public void testSetUsername() 
    {      
        String testUsername = "Lebron";
        
        testGeneralUser.setUsername("Lebron");
        
        assertEquals(testUsername, testGeneralUser.getUsername());        
    }

    /**
     * Test of setPassword method, of class GeneralUser.
     */
    @Test
    public void testSetPassword() 
    {
        String testPassword = "James";
        
        testGeneralUser.setPassword("James");
        
        assertEquals(testPassword, testGeneralUser.getPassword()); 
    }

    /**
     * Test of setPatronName method, of class GeneralUser.
     */
    @Test
    public void testSetPatronName() 
    {
        String testPatronName = "Harry Potter";
        
        testGeneralUser.setPatronName("Harry Potter");
        
        assertEquals(testPatronName, testGeneralUser.getPatronName());
    }

    /**
     * Test of setEmail method, of class GeneralUser.
     */
    @Test
    public void testSetEmail() 
    {
        String testEmail = "dogcat@email.net";
        
        testGeneralUser.setEmail("dogcat@email.net");
        
        assertEquals(testEmail, testGeneralUser.getEmail());
    }

    /**
     * Test of setPhoneNumber method, of class GeneralUser.
     */
    @Test
    public void testSetPhoneNumber() 
    {
        long testPhoneNumber = 888333;
        
        testGeneralUser.setPhoneNumber(888333);
        
        assertEquals(testPhoneNumber, testGeneralUser.getPhoneNumber());
    }

    /**
     * Test of setNumLoans method, of class GeneralUser.
     */
    @Test
    public void testSetNumLoans() 
    {
        int testNumLoans = 3;
        
        testGeneralUser.setNumLoans(3);
        
        assertEquals(testNumLoans, testGeneralUser.getNumLoans());
    }
}