package librarymanagementsystem;

import java.io.*;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Pawprint Studios
 */
public class LibraryTest 
{
    private Library testLibrary;

    public LibraryTest()
    {
        /*
        PrintWriter bookWriter = new PrintWriter(new BufferedWriter(new FileWriter("testBooks.csv")));
        bookWriter.println("Title,Author,Year,Publisher,PublishDate,ISBN,NumCopies,NumChecked,IdNum,Price,CurrentHolders");
        bookWriter.println("Ahsoka,E. K. Johnston,2016,Disney–Lucasfilm Press,October 11,1,1484705661,3,2,243578,15.99,10000,76543");
        bookWriter.println("Dark Disciple,Christie Golden,2015,Del Rey,July 7,1,9780345511539,2,0,849332,9.99, ");
        bookWriter.println("Star Wars: Episode III Revenge of the Sith,Matthew Stover,2005,Del Rey,April 7,2005,0345428838,3,0,65365,12.99, ");
        
        testLibrary = new Library("testBooks.csv", "testUsers.csv");
        */
        testLibrary = new Library();
    }
    
    @Test
    public void testSetLibraryName()
    {
        String testLibraryName = "DingleFloopyNoop";
        
        testLibrary.setLibraryName("DingleFloopyNoop");
        
        assertEquals(testLibraryName, testLibrary.getLibraryName());
    }
    
    @Test
    public void testSetLibraryAddress()
    {
        String testLibraryAddress = "2000 C Wourt Road";
        
        testLibrary.setLibraryAddress("2000 C Wourt Road");
        
        assertEquals(testLibraryAddress, testLibrary.getLibraryAddress());
    }

    
    @Test
    public void testSetDailyLateFine()
    {
        double testDailyLateFine = 4.2;
        
        testLibrary.setDailyLateFine(4.2);
        
        assertEquals(testDailyLateFine, testLibrary.getDailyLateFine(), 0);
    }
    
    
    
//    Library verifyLibrary = new Library("Books.csv", "Users.csv");
    
    @Test
    public void testVerifyLogin()
    {   
        GeneralUser testUser = new GeneralUser("RyanTheGreyJedi", 
            "HanShotFirst", 2, "Librarian");
        
        GeneralUser verifyUser = testLibrary.verifyLogin("RyanTheGreyJedi", 
            "HanShotFirst");
        
        assertEquals(testUser, verifyUser);
    }
    
    @Test
    public void testSearchLibrary()
    {   
        /*
        Book testBook = new Book("________________________");
        
        Book searchBook = testLibrary.searchLibrary("________________________");
        
        assertEquals(testBook, searchBook);
        */
    }

}
